Skip to content
Start here

Retrieves Account State

security_center.state.get(StateGetParams**kwargs) -> StateGetResponse
GET/accounts/{account_id}/security-center/state

Returns account-level Security Center state: whether scans are enabled for the account and whether the account was recently reactivated from a dormant state.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class StateGetResponse: …
recent_dormant_reactivation: bool

Whether the account was recently reactivated from a dormant state (used to show the reactivation banner).

scans_enabled: bool

Whether on-demand and scheduled scans are enabled for the account.

Retrieves Account State

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
state = client.security_center.state.get(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(state.recent_dormant_reactivation)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "recent_dormant_reactivation": false,
    "scans_enabled": true
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "recent_dormant_reactivation": false,
    "scans_enabled": true
  }
}